/// <reference types="node" />
export type BodyInit = string | import("stream").Readable | ReadableStream<Uint8Array> | ArrayBuffer | Blob | FormData | Buffer | ArrayBufferView | URLSearchParams;
export type NodeReadableStream = import("stream").Readable;
export type FetchOptions = import("../types").FetchOptions;
export type ProgressFn = import("../types").ProgressFn;
/**
 * @typedef {import('electron-fetch').BodyInit} BodyInit
 * @typedef {import('stream').Readable} NodeReadableStream
 *
 * @typedef {import('../types').FetchOptions} FetchOptions
 * @typedef {import('../types').ProgressFn} ProgressFn
 */
/**
 * @param {string|Request} url
 * @param {FetchOptions} [options]
 * @returns {Promise<Response>}
 */
export function fetch(url: string | Request, options?: import("../types").FetchOptions | undefined): Promise<Response>;
import { Request } from "../../types/electron-fetch";
import { Headers } from "../../types/electron-fetch";
import { Response } from "../../types/electron-fetch";
export { Request, Headers };
//# sourceMappingURL=fetch.node.d.ts.map